Skip to main content
POST
/
v1
/
flows
curl -X POST https://api.whatabot.app/api/v1/flows \
  -H "X-Api-Key: wh_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"name": "My Flow", "workspaceId": "660e8400-e29b-41d4-a716-446655440000"}'
Create a new flow associated with a workspace.
X-Api-Key
string
required
Your API key (prefixed with wh_).

Body

name
string
required
The name of the flow.
workspaceId
string
required
The UUID of the workspace where the flow will be created.

Payload examples

{
  "name": "My Flow",
  "workspaceId": "550e8400-e29b-41d4-a716-446655440000"
}
curl -X POST https://api.whatabot.app/api/v1/flows \
  -H "X-Api-Key: wh_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"name": "My Flow", "workspaceId": "660e8400-e29b-41d4-a716-446655440000"}'